# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/summary-ui-handler.ts:51

#####
Index

### Constructors

constructor

### Properties

abilityContainer
abilityPrompt
active
candyCountText
candyIcon
candyOverlay
candyShadow
championRibbon
cursor
descriptionScrollTween
extraMoveRowContainer
fusionShinyIcon
genderText
levelText
mode
moveAccuracyText
moveCategoryIcon
moveCursor
moveCursorBlinkTimer
moveCursorObj
moveDescriptionText
moveEffectContainer
moveEffectsVisible
movePowerText
moveRowsContainer
moveSelect
moveSelectFunction
movesContainer
nameText
newMove
numberText
passiveContainer
pokeball
pokemon
pokemonSprite
scene
selectedMoveCursorObj
selectedMoveIndex
shinyIcon
shinyOverlay
splicedIcon
status
statusContainer
statusVisible
summaryContainer
summaryPageContainer
summaryPageTransitionContainer
summaryUiMode
tabSprite
transitioning

### Methods

clear
destroyBlinkCursor
getCursor
getPageKey
getSelectedMove
getTextColor
getUi
hideMoveEffect
hideMoveSelect
hideStatus
populatePageContainer
processInput
setCursor
setup
show
showMoveEffect
showMoveSelect
showStatus

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/summary-ui-handler.ts:106

## Properties

### `Private` abilityContainer

abilityContainer: abilityContainer

Object holding everything needed to display an ability

- Defined in src/ui/summary-ui-handler.ts:76

### `Private` abilityPrompt

abilityPrompt: Image

The pixel button prompt indicating a passive is unlocked

- Defined in src/ui/summary-ui-handler.ts:74

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Private` candyCountText

candyCountText: Text

- Defined in src/ui/summary-ui-handler.ts:69

### `Private` candyIcon

candyIcon: Sprite

- Defined in src/ui/summary-ui-handler.ts:67

### `Private` candyOverlay

candyOverlay: Sprite

- Defined in src/ui/summary-ui-handler.ts:68

### `Private` candyShadow

candyShadow: Sprite

- Defined in src/ui/summary-ui-handler.ts:66

### `Private` championRibbon

championRibbon: Image

- Defined in src/ui/summary-ui-handler.ts:70

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Private` descriptionScrollTween

descriptionScrollTween: Tween

- Defined in src/ui/summary-ui-handler.ts:92

### `Private` extraMoveRowContainer

extraMoveRowContainer: Container

- Defined in src/ui/summary-ui-handler.ts:85

### `Private` fusionShinyIcon

fusionShinyIcon: Image

- Defined in src/ui/summary-ui-handler.ts:65

### `Private` genderText

genderText: Text

- Defined in src/ui/summary-ui-handler.ts:63

### `Private` levelText

levelText: Text

- Defined in src/ui/summary-ui-handler.ts:62

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Private` moveAccuracyText

moveAccuracyText: Text

- Defined in src/ui/summary-ui-handler.ts:88

### `Private` moveCategoryIcon

moveCategoryIcon: Sprite

- Defined in src/ui/summary-ui-handler.ts:89

### `Private` moveCursor

moveCursor: number

- Defined in src/ui/summary-ui-handler.ts:103

### `Private` moveCursorBlinkTimer

moveCursorBlinkTimer: TimerEvent

- Defined in src/ui/summary-ui-handler.ts:93

### `Private` moveCursorObj

moveCursorObj: Sprite

- Defined in src/ui/summary-ui-handler.ts:82

### `Private` moveDescriptionText

moveDescriptionText: Text

- Defined in src/ui/summary-ui-handler.ts:81

### `Private` moveEffectContainer

moveEffectContainer: Container

- Defined in src/ui/summary-ui-handler.ts:86

### `Private` moveEffectsVisible

moveEffectsVisible: boolean

- Defined in src/ui/summary-ui-handler.ts:100

### `Private` movePowerText

movePowerText: Text

- Defined in src/ui/summary-ui-handler.ts:87

### `Private` moveRowsContainer

moveRowsContainer: Container

- Defined in src/ui/summary-ui-handler.ts:84

### `Private` moveSelect

moveSelect: boolean

- Defined in src/ui/summary-ui-handler.ts:102

### `Private` moveSelectFunction

moveSelectFunction: Function

- Defined in src/ui/summary-ui-handler.ts:97

### `Private` movesContainer

movesContainer: Container

- Defined in src/ui/summary-ui-handler.ts:80

### `Private` nameText

nameText: Text

- Defined in src/ui/summary-ui-handler.ts:59

### `Private` newMove

newMove: default

- Defined in src/ui/summary-ui-handler.ts:96

### `Private` numberText

numberText: Text

- Defined in src/ui/summary-ui-handler.ts:57

### `Private` passiveContainer

passiveContainer: abilityContainer

Object holding everything needed to display a passive

- Defined in src/ui/summary-ui-handler.ts:78

### `Private` pokeball

pokeball: Sprite

- Defined in src/ui/summary-ui-handler.ts:61

### `Private` pokemon

pokemon: PlayerPokemon

- Defined in src/ui/summary-ui-handler.ts:95

### `Private` pokemonSprite

pokemonSprite: Sprite

- Defined in src/ui/summary-ui-handler.ts:58

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Private` selectedMoveCursorObj

selectedMoveCursorObj: Sprite

- Defined in src/ui/summary-ui-handler.ts:83

### `Private` selectedMoveIndex

selectedMoveIndex: number

- Defined in src/ui/summary-ui-handler.ts:104

### `Private` shinyIcon

shinyIcon: Image

- Defined in src/ui/summary-ui-handler.ts:64

### `Private` shinyOverlay

shinyOverlay: Image

- Defined in src/ui/summary-ui-handler.ts:56

### `Private` splicedIcon

splicedIcon: Sprite

- Defined in src/ui/summary-ui-handler.ts:60

### `Private` status

status: Image

- Defined in src/ui/summary-ui-handler.ts:72

### `Private` statusContainer

statusContainer: Container

- Defined in src/ui/summary-ui-handler.ts:71

### `Private` statusVisible

statusVisible: boolean

- Defined in src/ui/summary-ui-handler.ts:99

### `Private` summaryContainer

summaryContainer: Container

- Defined in src/ui/summary-ui-handler.ts:54

### `Private` summaryPageContainer

summaryPageContainer: Container

- Defined in src/ui/summary-ui-handler.ts:79

### `Private` summaryPageTransitionContainer

summaryPageTransitionContainer: Container

- Defined in src/ui/summary-ui-handler.ts:90

### `Private` summaryUiMode

summaryUiMode: SummaryUiMode

- Defined in src/ui/summary-ui-handler.ts:52

### `Private` tabSprite

tabSprite: Sprite

- Defined in src/ui/summary-ui-handler.ts:55

### `Private` transitioning

transitioning: boolean

- Defined in src/ui/summary-ui-handler.ts:98

## Methods

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/summary-ui-handler.ts:1068

### destroyBlinkCursor

- destroyBlinkCursor(): void

- #### Returns void

  - Defined in src/ui/summary-ui-handler.ts:1027

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getPageKey

- getPageKey(page?): string

- #### Parameters

  - `Optional` page: number

  #### Returns string

  - Defined in src/ui/summary-ui-handler.ts:262

### getSelectedMove

- getSelectedMove(): default

- #### Returns default

  - Defined in src/ui/summary-ui-handler.ts:992

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### hideMoveEffect

- hideMoveEffect(instant?): void

- #### Parameters

  - `Optional` instant: boolean

  #### Returns void

  - Defined in src/ui/summary-ui-handler.ts:1055

### hideMoveSelect

- hideMoveSelect(): void

- #### Returns void

  - Defined in src/ui/summary-ui-handler.ts:1013

### hideStatus

- hideStatus(instant?): void

- #### Parameters

  - `Optional` instant: boolean

  #### Returns void

  - Defined in src/ui/summary-ui-handler.ts:979

### populatePageContainer

- populatePageContainer(pageContainer, page?): void

- #### Parameters

  - pageContainer: Container
  - `Optional` page: Page

  #### Returns void

  - Defined in src/ui/summary-ui-handler.ts:654

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/summary-ui-handler.ts:394

### setCursor

- setCursor(cursor, overrideChanged?): boolean

- #### Parameters

  - cursor: number
  - overrideChanged: boolean = false

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/summary-ui-handler.ts:534

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/summary-ui-handler.ts:110

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/summary-ui-handler.ts:269

### showMoveEffect

- showMoveEffect(instant?): void

- #### Parameters

  - `Optional` instant: boolean

  #### Returns void

  - Defined in src/ui/summary-ui-handler.ts:1042

### showMoveSelect

- showMoveSelect(): void

- #### Returns void

  - Defined in src/ui/summary-ui-handler.ts:1005

### showStatus

- showStatus(instant?): void

- #### Parameters

  - `Optional` instant: boolean

  #### Returns void

  - Defined in src/ui/summary-ui-handler.ts:966